from __future__ import print_function


def roll(rowMat, transMat, l):
    resMat = [0 for _ in xrange(l)]
    for i in xrange(l):
        a = rowMat[i]
        if a == 0:
            continue
        for j in xrange(l):
            resMat[j] += a * transMat[i][j]
         

    return resMat

r,c,n = (int(x) for x in raw_input().split())
p = float(raw_input())
totSq = r * c  + 1
ladders = [0 for _ in xrange(totSq+1)]
endLadders = [0 for _ in xrange(totSq+1)]
for _ in xrange(n):
    s, e = (int(x) for x in raw_input().split())
    if s == 1:
        continue
    ladders[s] = e
    endLadders[e] = s

transitionMatrix = [[0 for _ in xrange(totSq)] for _ in xrange(totSq)]
pp = 1/6.0
for i in xrange(totSq):
    for j in xrange(1,7):
        nextSq = i + j
        if nextSq >= totSq:
            nextSq = totSq-1
        if ladders[nextSq] != 0:
            nextSq = ladders[nextSq]
        transitionMatrix[i][nextSq] += pp

k = 1
roMat = [0 for _ in xrange(totSq)]
roMat[1] = 1
resM = roll(roMat, transitionMatrix, totSq)
while True:
    resM = roll(resM, transitionMatrix, totSq)
    k += 1
    if resM[-1] >= p:
        break
print(k)