#!usr/env python3
r, c, k = (int(i) for i in input().split())
p = float(input())

ladders = {}
for _ in range(k):
    s, e = (int(i) - 1 for i in input().split())
    ladders[s] = e

size = r * c
matrices = [[0.0 for _ in range(size)] for _ in range(size)]
for dm, m in enumerate(matrices):
    for i in range(1, 7):
        ci = dm + i
        if ci > size - 1:  # not ludo, reaching end doesn't send you back
            ci = size - 1
        if ci in ladders:
            ci = ladders[ci]
        m[ci] += 1 / 6

roll = 0
dp = [0 for _ in range(size)]
dp[0] = 1  # player start at start

while dp[-1] < p:
    tmp = [0 for _ in dp]
    for i in range(size):
        if dp[i] != 0:
            for j in range(size):
                tmp[j] += dp[i] * matrices[i][j]
    dp = tmp
    roll += 1
print(roll)
