#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

constexpr int MAXN = 100000;
constexpr int MAXM = 100000;

int n, m;
long long w[MAXN];
pair<long long, int> mongers[MAXM];

int main() {
    ios::sync_with_stdio(false);
    cin >> n >> m;
    for (int i = 0; i < n; i++) {
        cin >> w[i];
        w[i] *= -1;
    }
    for (int i = 0; i < m; i++) {
        cin >> mongers[i].second >> mongers[i].first;
        mongers[i].first *= -1;
    }

    sort(w, w+n);
    sort(mongers, mongers+m);

    long long res = 0;
    for (int i = 0, j = 0; i < n && j < m;) {
        if (mongers[j].second == 0) {
            j++;
            continue;
        }
        res += mongers[j].first * w[i];
        mongers[j].second--;
        i++;
    }

    cout << res << endl;
}
