#include<iostream>
#include<algorithm>
#include<vector>
#include<utility>

int main(void) {

    int n,m;
    std::cin >> n >> m;
    std::vector<int> w(n);
    int a, b;
    for(int i = 0; i < n; ++i) {
        std::cin >> a;
        w[i] = a;
    }
    long maxFish = 0;
    std::vector<std::pair<int,int>> fishmongers(m);
    for(int i = 0; i < m; ++i) {
        std::cin >> a >> b;
        fishmongers[i] = std::make_pair(b,a);
        maxFish += a;
    }
    std::sort(w.begin(), w.end(), std::greater<int>());
    std::sort(fishmongers.begin(), fishmongers.end());

    long res = 0;
    int runLen = n;
    if(maxFish < (long) n) {
        runLen = (int) maxFish;
    }

    int fisher = m-1;
    for(int i = 0; i < runLen; ++i) {
        long thisW = w[i];
        long thisP = fishmongers[fisher].first;
        res += thisW * thisP;
        fishmongers[fisher].second -= 1;
        if(fishmongers[fisher].second == 0)
            fisher -= 1;
    }
    std::cout << res << std::endl;
}