import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.StringTokenizer;

/**
 * Created by olav on 01.10.18.
 */
public class CFtoRF {
    public static void main(String args[]) throws Exception{
        Input in = new Input();
        int n = in.nextInt();
        ArrayList<Integer> cf = new ArrayList<>();
        for (int i = 0; i < n; i++){
            cf.add(in.nextInt());
        }

        long num = 1;
        long den = cf.get(n-1);
        for (int i = n-2; i >= 0; i--){
            long tmp = den;
            den = den*cf.get(i) + num;
            num = tmp;
            long div = gcd(num, den);
            den = den / div;
            num = num / div;
        }

        System.out.println(den + "/" + num);
    }

    static long gcd(long a, long b){
        if (b == 0) return a;
        return gcd(b, a % b);
    }

    static class Input{
        StringTokenizer st;
        BufferedReader br;

        Input(){
            st = new StringTokenizer("");
            br = new BufferedReader(new InputStreamReader(System.in));
        }

        int nextInt() throws Exception{
            while (!st.hasMoreTokens()) st = new StringTokenizer(br.readLine());
            return Integer.parseInt(st.nextToken());
        }

        long nextLong() throws Exception{
            while (!st.hasMoreTokens()) st = new StringTokenizer(br.readLine());
            return Long.parseLong(st.nextToken());
        }

        double nextDouble() throws Exception{
            while (!st.hasMoreTokens()) st = new StringTokenizer(br.readLine());
            return Double.parseDouble(st.nextToken());
        }

        String nextToken() throws Exception{
            while (!st.hasMoreTokens()) st = new StringTokenizer(br.readLine());
            return st.nextToken();
        }
    }
}
