#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

constexpr int MAXN = 40;

int n;
long long coef[MAXN];

long long gcd(long long a, long long b) {
    return b == 0 ? a : gcd(b, a % b);
}

int main() {
    cin >> n;

    for (int i = 0; i < n; i++)
        cin >> coef[i];

    long long nu = coef[n-1];
    long long de = 1;

    for (int i = n-2; i >= 0; i--) {
        long long od = de;
        de = nu;
        nu = od;

        nu += coef[i]*de;
        long long di = gcd(de, nu);
        nu /= di;
        de /= di;
    }

    cout << nu << "/" << de << endl;
}
