from __future__ import print_function, division

def ab(a,b, totS):
    newMat = [[0 for _ in xrange(totS)] for _ in xrange(totS)]
    for i in xrange(totS):
        for j in xrange(totS):
            for k in xrange(totS):
                newMat[i][j] += a[i][k] * b[k][j]
    return newMat
 
def main():
    r,c,n = (int(x) for x in raw_input().split())
    p = float(raw_input())
    totS = r * c
    
    ladders = [-1 for _ in xrange(totS)]
    for i in xrange(n):
        a,b = (int(x)-1 for x in raw_input().split())
        ladders[a] = b

    mat = [[0.0 for _ in xrange(totS)] for _ in xrange(totS)]

    for i in xrange(totS):
        for j in xrange(1,7):
            if i + j >= totS - 1:
                mat[i][totS-1] += 1.0 / 6.0
            elif ladders[i+j] != -1:
                mat[i][ladders[i+j]] += 1.0 / 6.0
            else:
                mat[i][i+j] += 1.0 / 6.0

    powermats = []
    powermats.append(mat)
    while powermats[-1][0][totS-1] < p:
        powermats.append( ab(powermats[-1], powermats[-1], totS) )
    
    pl = len(powermats) - 2
    b =  powermats[pl]
    rolls = 1 << pl
    for i in xrange(pl,-1,-1):
        hm = ab(b,powermats[i],totS)
        if hm[0][r*c - 1] < p:
            rolls += 1<<i
            b = hm

    if b[0][r*c - 1] < p:
        rolls += 1
    print(rolls)

main()