#!usr/env python3
d, t, c, r = (int(i) for i in input().split())

rain = [0.0 for _ in range(t + 2)]
for _ in range(c):
    s, e, p, a = (i for i in input().split())
    s = int(s)
    e = int(e)
    p = float(p)
    a = int(a)
    rain[s] += p * a
    rain[e] -= p * a

for i in range(1, t + 2):
    rain[i] += rain[i - 1]

roof = [0 for _ in range(t + 2)]
for _ in range(r):
    s, e = (int(i) for i in input().split())
    for i in range(s, e):
        roof[i] += 1

cost = [[999999999999.0 for _ in range(t + 1)] for _ in range(t + 1)]
cost[0] = [0.0 for _ in range(t)]  # replace roof[0] = True

for x in range(1, d + 1):
    for y in range(1, t + 1):
        cost[x][y] = min(
            cost[x - 1][y - 1] + (0 if roof[x - 1] else rain[y - 1]),
            cost[x][y - 1] + (0 if roof[x] else rain[y - 1]))

print(cost[d][t])
