#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;


int w, h, n, l = 10;

string G[10];
bool V[10][10];

bool search(string &s, int i, int j, int d) {
    if (s.size() == d) return true;
    if (i < 0 || j < 0 || i >= h || j >= w) return false;
    if (s[d] != G[i][j]) return false;
    if (V[i][j]) return false;
    V[i][j] = true;
    for (int di = -1; di < 2; di++)
        for (int dj = -1; dj < 2; dj++)
            if (abs(di) != abs(dj) && search(s, i+di, j+dj, d+1)) {
                V[i][j] = false;
                return true;
            }

    V[i][j] = false;
    return false;
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cin >> h >> w;
    for (int i = 0; i < h; i++)
        cin >> G[i];

    cin >> n;
    int count = 0;
    string s;
    for (int i = 0; i < n; i++) {
        cin >> s;
        bool found = false;
        for (int i = 0; i < h && !found; i++)
            for (int j = 0; j < w && !found; j++)
                if (search(s, i, j, 0)) found = true;

        if (found) {
            count++;
        }
    }

    cout << count << endl;
}
