from __future__ import absolute_import, division, print_function
import sys
from fractions import Fraction

def main():
    sys.stdin.readline()
    factors = [Fraction(int(x), 1) for x in sys.stdin.readline().split()][::-1]

    prev = Fraction(0, 1)
    div = Fraction(1, 1)

    for factor in factors:
        prev = div / (factor + prev)

    assert prev.numerator < 10**18
    assert prev.denominator < 10**18
    sys.exit(42)

if __name__ == '__main__':
    main()
