import Data.Ratio
import Data.List

solve :: [Rational] -> Rational 
solve xs = foldl' (\x x0 -> x0 + 1/x) (last xs) (tail $ reverse xs)

main :: IO ()
main = interact ((\x -> show (numerator x) ++ "/" ++ show (denominator x)) . solve . map fromIntegral . map read . tail . words)
