#!/usr/bin/env python3

n, m = [int(x) for x in input().split()]

canPlay = [[False]*1001 for _ in range(n)]
for i in range(n):
    for note in [int(x) for x in input().split()][1:]:
        canPlay[i][note] = True

tune = [int(x) for x in input().split()]

nextMiss = [[m]*m for _ in range(n)]
for instr in range(n):
    nmiss = m
    for i in range(m-1, -1, -1):
        if not canPlay[instr][tune[i]]:
            nmiss = i
        nextMiss[instr][i] = nmiss

switches = 0
bestInstr = 0
for instr in range(n):
    if nextMiss[instr][0] > nextMiss[bestInstr][0]:
        bestInstr = instr
i = nextMiss[bestInstr][0]

while i < m:
    switches += 1
    for instr in range(n):
        if nextMiss[instr][i] > nextMiss[bestInstr][i]:
            bestInstr = instr
    i = nextMiss[bestInstr][i]
    
print(switches)
